           Guide to edit the interface file: USERINT.INI

      The file USERINT.INI contains most of the messages (strings) a 
student encounters during a CALIS session. By editing these strings to 
make the messages in the user's native language, a more friendly user 
interaction can be ensured.

IMPORTANT: Always make a back up copy before you edit this file.

When translating the userint.ini follow these general guidelines:
1) Translate each string so that the length of the translated string
is as close as possible to its counterpart in English.
2) Many strings are padded with blanks both before and after the string
to give as much flexibility to translation as possible. While changing
these strings:
  i) In case the translated string has more characters than the original
     you can delete the blanks on either side.
  ii) In case the translated string has fewer characters than the 
     original, pad with blanks on either side.
  iii) The blanks in the original string serve to justify, adjust etc. 
    the string when presented to the user. Make sure that after 
    translation that purpose is not lost. An easy way to achieve 
    this is run two copies of CALIS, one using the English version and the 
    other using the target version of USERINT.INI files and see if the 
    effect is same.
3) Some strings are divided into two or more parts, but are presented 
together
   e.g.:        You have completed
           this lesson successfully.
   When translating such strings you don't have to have an exact translation
   for each string, but it is enough if they together convey the same
   meaning. As usual keep in mind the justification of text.
4) Regarding the status bar at the bottom you should be even more careful, 
   because it reflects the keyboard processing to some extent. Test and 
   make sure your changes are correct.

   Any suggestions/problems are welcome.

5) Lines 85 - 87: Line 85 contains the string of letters, line 87 a string
   of modifying accents. Line 86 contains the numbers ranging from 1 to 5.
   The way these work are shown using the example below.
   85: AEIO
   86: 1321
   87: aeio
   The above lines mean that when you type A and press function key F1
   you get a, you type E and press function key F3 you get e and so on.
   
-Humanities Computing Facility
 Duke University.
